#ifndef LAYERSETTINGSWIDGET_H
#define LAYERSETTINGSWIDGET_H

#include <QWidget>

#include "settings.h"

namespace Ui {
class LayerSettingsWidget;
}

class LayerSettingsWidget : public QWidget
{
    Q_OBJECT

public:
    LayerSettingsWidget(QWidget *parent, int layer);
    ~LayerSettingsWidget();
    void setAddress(int add);
    int getAddress();
    void setUniverse(int uni);
    int getUniverse();
private:
    Ui::LayerSettingsWidget *ui;
    int m_layer;

private slots:
    void addressChanged(int val);
    void universeChanged(int val);
};

#endif // LAYERSETTINGSWIDGET_H
