TEMPLATE = app
TARGET = libremediaserver-audio
QT += webkitwidgets widgets
HEADERS += src/libremediaserver-audio.h \
    src/clickablelabel.h \
    src/dmxwidget.h \
    src/libremediaserver-audio-gui.h \
    src/main.h \
    src/miniaudio.h \
    src/medialibrary.h \
    src/miniaudioengine.h \
    src/olathread.h \
    src/audiolayerwidget.h \
    src/dmxPersonality.h \
    src/audiowidget.h \
    src/defines.h \
    src/settings.h \
    src/slidergroup.h
SOURCES += src/main.cpp \
    src/clickablelabel.cpp \
    src/dmxwidget.cpp \
    src/libremediaserver-audio-gui.cpp \
    src/miniaudio.c \
    src/libremediaserver-audio.cpp \
    src/medialibrary.cpp \
    src/miniaudioengine.cpp \
    src/olathread.cpp \
    src/audiolayerwidget.cpp \
    src/audiowidget.cpp \
    src/settings.cpp \
    src/slidergroup.cpp
FORMS += src/libremediaserver-audio-gui.ui
CCFLAG += -msse2 -mavx2 #-fsanitize=address -g3 -O0
QMAKE_CXXFLAGS += $$(CXXFLAG)
#QMAKE_CXXFLAGS += -fsanitize=address -g3 -O0
QMAKE_CFLAGS += $$(CCFLAG)
QMAKE_LFLAGS += $$(LDFLAG)
LIBS += -lola -lolacommon -ldl -lpthread -lm
# -lcitp
OTHER_FILES += \
    LICENSE.txt \
    docs/compiling.txt \
    docs/changelog.txt \
    docs/lms-audio.xlm \
    docs/roadmap.txt
